| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
nrf_esb_config_t Struct Reference
Enhanced ShockBurst

Main configuration structure for the module. More...

`#include <nrf_esb.h>`

## Data Fields
nrf_esb_protocol_t | protocol
nrf_esb_mode_t | mode
nrf_esb_event_handler_t | event_handler
nrf_esb_bitrate_t | bitrate
nrf_esb_crc_t | crc
nrf_esb_tx_power_t | tx_output_power
uint16_t | retransmit_delay
uint16_t | retransmit_count
nrf_esb_tx_mode_t | tx_mode
uint8_t | radio_irq_priority
uint8_t | event_irq_priority
uint8_t | payload_length
bool | selective_auto_ack

## Detailed Description

Main configuration structure for the module.

## Field Documentation

nrf_esb_bitrate_t nrf_esb_config_t::bitrate

Enhanced ShockBurst bitrate mode.

nrf_esb_crc_t nrf_esb_config_t::crc

Enhanced ShockBurst CRC modes.

nrf_esb_event_handler_t nrf_esb_config_t::event_handler

Enhanced ShockBurst event handler.

uint8_t nrf_esb_config_t::event_irq_priority

ESB event interrupt priority.

nrf_esb_mode_t nrf_esb_config_t::mode

Enhanced ShockBurst mode.

uint8_t nrf_esb_config_t::payload_length

Length of the payload (maximum length depends on the platforms that are used on each side).

nrf_esb_protocol_t nrf_esb_config_t::protocol

Enhanced ShockBurst protocol.

uint8_t nrf_esb_config_t::radio_irq_priority

nRF radio interrupt priority.

uint16_t nrf_esb_config_t::retransmit_count

The number of retransmissions attempts before transmission fail.

uint16_t nrf_esb_config_t::retransmit_delay

The delay between each retransmission of unacknowledged packets.

bool nrf_esb_config_t::selective_auto_ack

Enable or disable selective auto acknowledgment.

nrf_esb_tx_mode_t nrf_esb_config_t::tx_mode

Enhanced ShockBurst transmission mode.

nrf_esb_tx_power_t nrf_esb_config_t::tx_output_power

Enhanced ShockBurst radio transmission power mode.